
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Index &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="copyright" title="Copyright" href="copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="contents.html" />
    <link rel="shortcut icon" type="image/png" href="_static/py.png" />
    <script type="text/javascript" src="_static/copybutton.js"></script>
    <script type="text/javascript" src="_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            

<h1 id="index">Index &ndash; B</h1>

<table style="width: 100%" class="indextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="library/base64.html#base64.b16decode">b16decode() (in module base64)</a>
  </dt>

      
  <dt><a href="library/base64.html#base64.b16encode">b16encode() (in module base64)</a>
  </dt>

      
  <dt><a href="library/binascii.html#binascii.b2a_base64">b2a_base64() (in module binascii)</a>
  </dt>

      
  <dt><a href="library/binascii.html#binascii.b2a_hex">b2a_hex() (in module binascii)</a>
  </dt>

      
  <dt><a href="library/binascii.html#binascii.b2a_hqx">b2a_hqx() (in module binascii)</a>
  </dt>

      
  <dt><a href="library/binascii.html#binascii.b2a_qp">b2a_qp() (in module binascii)</a>
  </dt>

      
  <dt><a href="library/binascii.html#binascii.b2a_uu">b2a_uu() (in module binascii)</a>
  </dt>

      
  <dt><a href="library/base64.html#base64.b32decode">b32decode() (in module base64)</a>
  </dt>

      
  <dt><a href="library/base64.html#base64.b32encode">b32encode() (in module base64)</a>
  </dt>

      
  <dt><a href="library/base64.html#base64.b64decode">b64decode() (in module base64)</a>
  </dt>

      
  <dt><a href="library/base64.html#base64.b64encode">b64encode() (in module base64)</a>
  </dt>

      
  <dt><a href="library/base64.html#base64.b85decode">b85decode() (in module base64)</a>
  </dt>

      
  <dt><a href="library/base64.html#base64.b85encode">b85encode() (in module base64)</a>
  </dt>

      
  <dt><a href="library/mailbox.html#mailbox.Babyl">Babyl (class in mailbox)</a>
  </dt>

      
  <dt><a href="library/mailbox.html#mailbox.BabylMessage">BabylMessage (class in mailbox)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.back">back() (in module turtle)</a>
  </dt>

      
  <dt><a href="reference/lexical_analysis.html#index-6">backslash character</a>
  </dt>

      
  <dt><a href="library/codecs.html#codecs.backslashreplace_errors">backslashreplace_errors() (in module codecs)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.backward">backward() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/http.client.html#http.client.BadStatusLine">BadStatusLine</a>
  </dt>

      
  <dt><a href="library/zipfile.html#zipfile.BadZipFile">BadZipFile</a>
  </dt>

      
  <dt><a href="library/zipfile.html#zipfile.BadZipfile">BadZipfile</a>
  </dt>

      
  <dt><a href="library/tkinter.tix.html#tkinter.tix.Balloon">Balloon (class in tkinter.tix)</a>
  </dt>

      
  <dt><a href="library/multiprocessing.html#multiprocessing.Barrier">Barrier (class in multiprocessing)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/threading.html#threading.Barrier">(class in threading)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/multiprocessing.html#multiprocessing.managers.SyncManager.Barrier">Barrier() (multiprocessing.managers.SyncManager method)</a>
  </dt>

      
  <dt>
    base64
  </dt>

      <dd><dl>
        
  <dt><a href="library/base64.html#index-0">encoding</a>
  </dt>

        
  <dt><a href="library/binascii.html#index-0">module</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/base64.html#module-base64">base64 (module)</a>
  </dt>

      
  <dt><a href="library/sys.html#sys.base_exec_prefix">base_exec_prefix (in module sys)</a>
  </dt>

      
  <dt><a href="library/sys.html#sys.base_prefix">base_prefix (in module sys)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#wsgiref.handlers.BaseCGIHandler">BaseCGIHandler (class in wsgiref.handlers)</a>
  </dt>

      
  <dt><a href="library/http.cookies.html#http.cookies.BaseCookie">BaseCookie (class in http.cookies)</a>
  </dt>

      
  <dt><a href="library/asyncio-eventloop.html#asyncio.BaseEventLoop">BaseEventLoop (class in asyncio)</a>
  </dt>

      
  <dt><a href="library/exceptions.html#BaseException">BaseException</a>
  </dt>

      
  <dt><a href="library/urllib.request.html#urllib.request.BaseHandler">BaseHandler (class in urllib.request)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/wsgiref.html#wsgiref.handlers.BaseHandler">(class in wsgiref.handlers)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/email.headerregistry.html#email.headerregistry.BaseHeader">BaseHeader (class in email.headerregistry)</a>
  </dt>

      
  <dt><a href="library/http.server.html#http.server.BaseHTTPRequestHandler">BaseHTTPRequestHandler (class in http.server)</a>
  </dt>

      
  <dt><a href="library/multiprocessing.html#multiprocessing.managers.BaseManager">BaseManager (class in multiprocessing.managers)</a>
  </dt>

      
  <dt><a href="library/os.path.html#os.path.basename">basename() (in module os.path)</a>
  </dt>

      
  <dt><a href="library/multiprocessing.html#multiprocessing.managers.BaseProxy">BaseProxy (class in multiprocessing.managers)</a>
  </dt>

      
  <dt><a href="library/logging.handlers.html#logging.handlers.BaseRotatingHandler">BaseRotatingHandler (class in logging.handlers)</a>
  </dt>

      
  <dt><a href="library/selectors.html#selectors.BaseSelector">BaseSelector (class in selectors)</a>
  </dt>

      
  <dt><a href="library/socketserver.html#socketserver.BaseServer">BaseServer (class in socketserver)</a>
  </dt>

      
  <dt><a href="library/2to3.html#2to3fixer-basestring">basestring (2to3 fixer)</a>
  </dt>

      
  <dt><a href="library/asyncio-protocol.html#asyncio.BaseSubprocessTransport">BaseSubprocessTransport (class in asyncio)</a>
  </dt>

      
  <dt><a href="library/asyncio-protocol.html#asyncio.BaseTransport">BaseTransport (class in asyncio)</a>
  </dt>

      
  <dt><a href="library/logging.html#logging.basicConfig">basicConfig() (in module logging)</a>
  </dt>

      
  <dt><a href="library/decimal.html#decimal.BasicContext">BasicContext (class in decimal)</a>
  </dt>

      
  <dt><a href="library/configparser.html#configparser.BasicInterpolation">BasicInterpolation (class in configparser)</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.baudrate">baudrate() (in module curses)</a>
  </dt>

      
  <dt><a href="library/tkinter.ttk.html#tkinter.ttk.Treeview.bbox">bbox() (tkinter.ttk.Treeview method)</a>
  </dt>

      
  <dt><a href="library/socket.html#socket.BDADDR_ANY">BDADDR_ANY (in module socket)</a>
  </dt>

      
  <dt><a href="library/socket.html#socket.BDADDR_LOCAL">BDADDR_LOCAL (in module socket)</a>
  </dt>

      
  <dt>
    bdb
  </dt>

      <dd><dl>
        
  <dt><a href="library/pdb.html#index-1">module</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/bdb.html#bdb.Bdb">Bdb (class in bdb)</a>
  </dt>

      
  <dt><a href="library/bdb.html#module-bdb">bdb (module)</a>
  </dt>

      
  <dt><a href="library/bdb.html#bdb.BdbQuit">BdbQuit</a>
  </dt>

      
  <dt><a href="glossary.html#term-bdfl"><strong>BDFL</strong></a>
  </dt>

      
  <dt><a href="distutils/apiref.html#distutils.command.bdist_msi.bdist_msi">bdist_msi (class in distutils.command.bdist_msi)</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.beep">beep() (in module curses)</a>
  </dt>

      
  <dt><a href="library/winsound.html#winsound.Beep">Beep() (in module winsound)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BEFORE_ASYNC_WITH">BEFORE_ASYNC_WITH (opcode)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.begin_fill">begin_fill() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.begin_poly">begin_poly() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/curses.panel.html#curses.panel.Panel.below">below() (curses.panel.Panel method)</a>
  </dt>

      
  <dt><a href="library/timeit.html#index-0">Benchmarking</a>
  </dt>

      
  <dt><a href="library/time.html#index-5">benchmarking</a>
  </dt>

      
  <dt><a href="library/random.html#random.betavariate">betavariate() (in module random)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.bgcolor">bgcolor() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.bgpic">bgpic() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/audioop.html#audioop.bias">bias() (in module audioop)</a>
  </dt>

      
  <dt><a href="library/unicodedata.html#unicodedata.bidirectional">bidirectional() (in module unicodedata)</a>
  </dt>

      
  <dt><a href="library/ctypes.html#ctypes.BigEndianStructure">BigEndianStructure (class in ctypes)</a>
  </dt>

      
  <dt><a href="library/functions.html#bin">bin() (built-in function)</a>
  </dt>

      
  <dt>
    binary
  </dt>

      <dd><dl>
        
  <dt><a href="reference/expressions.html#index-48">arithmetic operation</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-57">bitwise operation</a>
  </dt>

        
  <dt><a href="library/struct.html#index-0">data, packing</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-13">literals</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/msilib.html#msilib.Binary">Binary (class in msilib)</a>
  </dt>

      
  <dt><a href="glossary.html#term-binary-file"><strong>binary file</strong></a>
  </dt>

      
  <dt><a href="reference/lexical_analysis.html#index-20">binary literal</a>
  </dt>

      
  <dt><a href="library/functions.html#index-7">binary mode</a>
  </dt>

      
  <dt><a href="library/_thread.html#index-0">binary semaphores</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BINARY_ADD">BINARY_ADD (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BINARY_AND">BINARY_AND (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BINARY_FLOOR_DIVIDE">BINARY_FLOOR_DIVIDE (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BINARY_LSHIFT">BINARY_LSHIFT (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BINARY_MATRIX_MULTIPLY">BINARY_MATRIX_MULTIPLY (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BINARY_MODULO">BINARY_MODULO (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BINARY_MULTIPLY">BINARY_MULTIPLY (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BINARY_OR">BINARY_OR (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BINARY_POWER">BINARY_POWER (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BINARY_RSHIFT">BINARY_RSHIFT (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BINARY_SUBSCR">BINARY_SUBSCR (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BINARY_SUBTRACT">BINARY_SUBTRACT (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BINARY_TRUE_DIVIDE">BINARY_TRUE_DIVIDE (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BINARY_XOR">BINARY_XOR (opcode)</a>
  </dt>

      
  <dt><a href="library/binascii.html#module-binascii">binascii (module)</a>
  </dt>

      
  <dt><a href="library/tkinter.html#index-3">bind (widgets)</a>
  </dt>

      
  <dt><a href="library/asyncore.html#asyncore.dispatcher.bind">bind() (asyncore.dispatcher method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/inspect.html#inspect.Signature.bind">(inspect.Signature method)</a>
  </dt>

        
  <dt><a href="library/socket.html#socket.socket.bind">(socket.socket method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/inspect.html#inspect.Signature.bind_partial">bind_partial() (inspect.Signature method)</a>
  </dt>

      
  <dt><a href="library/test.html#test.support.bind_port">bind_port() (in module test.support)</a>
  </dt>

      
  <dt><a href="library/gettext.html#gettext.bind_textdomain_codeset">bind_textdomain_codeset() (in module gettext)</a>
  </dt>

      
  <dt>
    binding
  </dt>

      <dd><dl>
        
  <dt><a href="reference/simple_stmts.html#index-39">global name</a>
  </dt>

        
  <dt><a href="reference/compound_stmts.html#index-19">name</a>, <a href="reference/compound_stmts.html#index-19">[1]</a>, <a href="reference/compound_stmts.html#index-26">[2]</a>, <a href="reference/executionmodel.html#index-4">[3]</a>, <a href="reference/simple_stmts.html#index-31">[4]</a>, <a href="reference/simple_stmts.html#index-33">[5]</a>, <a href="reference/simple_stmts.html#index-4">[6]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/gettext.html#gettext.bindtextdomain">bindtextdomain() (in module gettext)</a>
  </dt>

      
  <dt>
    binhex
  </dt>

      <dd><dl>
        
  <dt><a href="library/binascii.html#index-0">module</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/binhex.html#module-binhex">binhex (module)</a>
  </dt>

      
  <dt><a href="library/binhex.html#binhex.binhex">binhex() (in module binhex)</a>
  </dt>

      
  <dt><a href="library/bisect.html#module-bisect">bisect (module)</a>
  </dt>

      
  <dt><a href="library/bisect.html#bisect.bisect">bisect() (in module bisect)</a>
  </dt>

      
  <dt><a href="library/bisect.html#bisect.bisect_left">bisect_left() (in module bisect)</a>
  </dt>

      
  <dt><a href="library/bisect.html#bisect.bisect_right">bisect_right() (in module bisect)</a>
  </dt>

      
  <dt><a href="library/stdtypes.html#int.bit_length">bit_length() (int method)</a>
  </dt>

      
  <dt><a href="library/msilib.html#msilib.Dialog.bitmap">bitmap() (msilib.Dialog method)</a>
  </dt>

      
  <dt>
    bitwise
  </dt>

      <dd><dl>
        
  <dt><a href="reference/expressions.html#index-58">and</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-57">operation, binary</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-43">operation, unary</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-17">operations</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-60">or</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-59">xor</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/turtle.html#turtle.bk">bk() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.window.bkgd">bkgd() (curses.window method)</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.window.bkgdset">bkgdset() (curses.window method)</a>
  </dt>

      
  <dt><a href="reference/lexical_analysis.html#index-7">blank line</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="reference/executionmodel.html#index-1">block</a>
  </dt>

      <dd><dl>
        
  <dt><a href="reference/executionmodel.html#index-0">code</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/hmac.html#hmac.HMAC.block_size">block_size (hmac.HMAC attribute)</a>
  </dt>

      
  <dt><a href="library/http.cookiejar.html#http.cookiejar.DefaultCookiePolicy.blocked_domains">blocked_domains() (http.cookiejar.DefaultCookiePolicy method)</a>
  </dt>

      
  <dt><a href="library/exceptions.html#BlockingIOError">BlockingIOError</a>, <a href="library/io.html#io.BlockingIOError">[1]</a>
  </dt>

      
  <dt><a href="reference/expressions.html#index-0">BNF</a>, <a href="reference/introduction.html#index-0">[1]</a>
  </dt>

      
  <dt><a href="library/nntplib.html#nntplib.NNTP.body">body() (nntplib.NNTP method)</a>
  </dt>

      
  <dt><a href="library/email.charset.html#email.charset.Charset.body_encode">body_encode() (email.charset.Charset method)</a>
  </dt>

      
  <dt><a href="library/email.charset.html#email.charset.Charset.body_encoding">body_encoding (email.charset.Charset attribute)</a>
  </dt>

      
  <dt><a href="library/email.iterators.html#email.iterators.body_line_iterator">body_line_iterator() (in module email.iterators)</a>
  </dt>

      
  <dt><a href="library/codecs.html#codecs.BOM">BOM (in module codecs)</a>
  </dt>

      
  <dt><a href="library/codecs.html#codecs.BOM_BE">BOM_BE (in module codecs)</a>
  </dt>

      
  <dt><a href="library/codecs.html#codecs.BOM_LE">BOM_LE (in module codecs)</a>
  </dt>

      
  <dt><a href="library/codecs.html#codecs.BOM_UTF16">BOM_UTF16 (in module codecs)</a>
  </dt>

      
  <dt><a href="library/codecs.html#codecs.BOM_UTF16_BE">BOM_UTF16_BE (in module codecs)</a>
  </dt>

      
  <dt><a href="library/codecs.html#codecs.BOM_UTF16_LE">BOM_UTF16_LE (in module codecs)</a>
  </dt>

      
  <dt><a href="library/codecs.html#codecs.BOM_UTF32">BOM_UTF32 (in module codecs)</a>
  </dt>

      
  <dt><a href="library/codecs.html#codecs.BOM_UTF32_BE">BOM_UTF32_BE (in module codecs)</a>
  </dt>

      
  <dt><a href="library/codecs.html#codecs.BOM_UTF32_LE">BOM_UTF32_LE (in module codecs)</a>
  </dt>

      
  <dt><a href="library/codecs.html#codecs.BOM_UTF8">BOM_UTF8 (in module codecs)</a>
  </dt>

      
  <dt><a href="library/functions.html#bool">bool (built-in class)</a>
  </dt>

      
  <dt>
    Boolean
  </dt>

      <dd><dl>
        
  <dt><a href="library/stdtypes.html#index-12">object</a>, <a href="reference/datamodel.html#index-11">[1]</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-66">operation</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-1">operations</a>, <a href="library/stdtypes.html#index-6">[1]</a>
  </dt>

        
  <dt><a href="library/functions.html#index-0">type</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-55">values</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/configparser.html#configparser.BOOLEAN_STATES">BOOLEAN_STATES (in module configparser)</a>
  </dt>

      
  <dt><a href="library/ensurepip.html#ensurepip.bootstrap">bootstrap() (in module ensurepip)</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.window.border">border() (curses.window method)</a>
  </dt>

      
  <dt><a href="library/curses.panel.html#curses.panel.Panel.bottom">bottom() (curses.panel.Panel method)</a>
  </dt>

      
  <dt><a href="library/curses.panel.html#curses.panel.bottom_panel">bottom_panel() (in module curses.panel)</a>
  </dt>

      
  <dt><a href="library/inspect.html#inspect.BoundArguments">BoundArguments (class in inspect)</a>
  </dt>

      
  <dt><a href="library/email.errors.html#email.errors.BoundaryError">BoundaryError</a>
  </dt>

      
  <dt><a href="library/asyncio-sync.html#asyncio.BoundedSemaphore">BoundedSemaphore (class in asyncio)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/multiprocessing.html#multiprocessing.BoundedSemaphore">(class in multiprocessing)</a>
  </dt>

        
  <dt><a href="library/threading.html#threading.BoundedSemaphore">(class in threading)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/multiprocessing.html#multiprocessing.managers.SyncManager.BoundedSemaphore">BoundedSemaphore() (multiprocessing.managers.SyncManager method)</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.window.box">box() (curses.window method)</a>
  </dt>

      
  <dt><a href="library/bdb.html#bdb.Breakpoint.bpformat">bpformat() (bdb.Breakpoint method)</a>
  </dt>

      
  <dt><a href="library/bdb.html#bdb.Breakpoint.bpprint">bpprint() (bdb.Breakpoint method)</a>
  </dt>

      
  <dt>
    break
  </dt>

      <dd><dl>
        
  <dt><a href="reference/compound_stmts.html#index-13">statement</a>, <a href="reference/compound_stmts.html#index-15">[1]</a>, <a href="reference/compound_stmts.html#index-5">[2]</a>, <a href="reference/compound_stmts.html#index-7">[3]</a>, <a href="reference/simple_stmts.html#index-27">[4]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/pdb.html#pdbcommand-break">break (pdb command)</a>
  </dt>

      
  <dt><a href="library/bdb.html#bdb.Bdb.break_anywhere">break_anywhere() (bdb.Bdb method)</a>
  </dt>

      
  <dt><a href="library/bdb.html#bdb.Bdb.break_here">break_here() (bdb.Bdb method)</a>
  </dt>

      
  <dt><a href="library/textwrap.html#textwrap.TextWrapper.break_long_words">break_long_words (textwrap.TextWrapper attribute)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BREAK_LOOP">BREAK_LOOP (opcode)</a>
  </dt>

      
  <dt><a href="library/textwrap.html#textwrap.TextWrapper.break_on_hyphens">break_on_hyphens (textwrap.TextWrapper attribute)</a>
  </dt>

      
  <dt><a href="library/bdb.html#bdb.Breakpoint">Breakpoint (class in bdb)</a>
  </dt>

      
  <dt><a href="library/idle.html#index-4">breakpoints</a>
  </dt>

      
  <dt><a href="library/ipaddress.html#ipaddress.IPv4Network.broadcast_address">broadcast_address (ipaddress.IPv4Network attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/ipaddress.html#ipaddress.IPv6Network.broadcast_address">(ipaddress.IPv6Network attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/threading.html#threading.Barrier.broken">broken (threading.Barrier attribute)</a>
  </dt>

      
  <dt><a href="library/threading.html#threading.BrokenBarrierError">BrokenBarrierError</a>
  </dt>

      
  <dt><a href="library/exceptions.html#BrokenPipeError">BrokenPipeError</a>
  </dt>

      
  <dt><a href="library/concurrent.futures.html#concurrent.futures.process.BrokenProcessPool">BrokenProcessPool</a>
  </dt>

      
  <dt><a href="library/webbrowser.html#index-0">BROWSER</a>, <a href="library/webbrowser.html#index-1">[1]</a>
  </dt>

      
  <dt><a href="library/shelve.html#shelve.BsdDbShelf">BsdDbShelf (class in shelve)</a>
  </dt>

      
  <dt><a href="library/2to3.html#2to3fixer-buffer">buffer (2to3 fixer)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/io.html#io.TextIOBase.buffer">(io.TextIOBase attribute)</a>
  </dt>

        
  <dt><a href="library/unittest.html#unittest.TestResult.buffer">(unittest.TestResult attribute)</a>
  </dt>

      </dl></dd>
      
  <dt>
    buffer interface
  </dt>

      <dd><dl>
        
  <dt><a href="c-api/buffer.html#index-0">(see buffer protocol)</a>
  </dt>

      </dl></dd>
      
  <dt>
    buffer object
  </dt>

      <dd><dl>
        
  <dt><a href="c-api/buffer.html#index-0">(see buffer protocol)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="c-api/buffer.html#index-0">buffer protocol</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/stdtypes.html#index-36">binary sequence types</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-30">str (built-in class)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/functions.html#index-7">buffer size, I/O</a>
  </dt>

      
  <dt><a href="library/array.html#array.array.buffer_info">buffer_info() (array.array method)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.xmlparser.buffer_size">buffer_size (xml.parsers.expat.xmlparser attribute)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.xmlparser.buffer_text">buffer_text (xml.parsers.expat.xmlparser attribute)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.xmlparser.buffer_used">buffer_used (xml.parsers.expat.xmlparser attribute)</a>
  </dt>

      
  <dt><a href="library/io.html#io.BufferedIOBase">BufferedIOBase (class in io)</a>
  </dt>

      
  <dt><a href="library/io.html#io.BufferedRandom">BufferedRandom (class in io)</a>
  </dt>

      
  <dt><a href="library/io.html#io.BufferedReader">BufferedReader (class in io)</a>
  </dt>

      
  <dt><a href="library/io.html#io.BufferedRWPair">BufferedRWPair (class in io)</a>
  </dt>

      
  <dt><a href="library/io.html#io.BufferedWriter">BufferedWriter (class in io)</a>
  </dt>

      
  <dt><a href="library/exceptions.html#BufferError">BufferError</a>
  </dt>

      
  <dt><a href="library/logging.handlers.html#logging.handlers.BufferingHandler">BufferingHandler (class in logging.handlers)</a>
  </dt>

      
  <dt><a href="library/multiprocessing.html#multiprocessing.BufferTooShort">BufferTooShort</a>
  </dt>

      
  <dt><a href="library/ossaudiodev.html#ossaudiodev.oss_audio_device.bufsize">bufsize() (ossaudiodev.oss_audio_device method)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BUILD_LIST">BUILD_LIST (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BUILD_MAP">BUILD_MAP (opcode)</a>
  </dt>

      
  <dt><a href="library/urllib.request.html#urllib.request.build_opener">build_opener() (in module urllib.request)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#distutils.command.build_py.build_py">build_py (class in distutils.command.build_py)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#distutils.command.build_py.build_py_2to3">build_py_2to3 (class in distutils.command.build_py)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BUILD_SET">BUILD_SET (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BUILD_SLICE">BUILD_SLICE (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-BUILD_TUPLE">BUILD_TUPLE (opcode)</a>
  </dt>

      
  <dt>
    built-in
  </dt>

      <dd><dl>
        
  <dt><a href="reference/datamodel.html#index-40">method</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-0">types</a>
  </dt>

      </dl></dd>
      
  <dt>
    built-in function
  </dt>

      <dd><dl>
        
  <dt><a href="c-api/import.html#index-1">__import__</a>
  </dt>

        
  <dt><a href="c-api/number.html#index-2">abs</a>, <a href="reference/datamodel.html#index-86">[1]</a>
  </dt>

        
  <dt><a href="c-api/object.html#index-1">ascii</a>
  </dt>

        
  <dt><a href="c-api/object.html#index-3">bytes</a>, <a href="reference/datamodel.html#index-71">[1]</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-39">call</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-19">chr</a>
  </dt>

        
  <dt><a href="c-api/structures.html#index-0">classmethod</a>
  </dt>

        
  <dt><a href="c-api/import.html#index-2">compile</a>, <a href="library/parser.html#index-2">[1]</a>, <a href="library/stdtypes.html#index-52">[2]</a>, <a href="library/types.html#index-1">[3]</a>, <a href="reference/simple_stmts.html#index-40">[4]</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-14">complex</a>, <a href="reference/datamodel.html#index-87">[1]</a>
  </dt>

        
  <dt><a href="c-api/number.html#index-0">divmod</a>, <a href="reference/datamodel.html#index-83">[1]</a>, <a href="reference/datamodel.html#index-84">[2]</a>
  </dt>

        
  <dt><a href="library/parser.html#index-1">eval</a>, <a href="library/pprint.html#index-0">[1]</a>, <a href="library/pprint.html#index-1">[2]</a>, <a href="library/stdtypes.html#index-53">[3]</a>, <a href="reference/simple_stmts.html#index-40">[4]</a>, <a href="reference/toplevel_components.html#index-6">[5]</a>
  </dt>

        
  <dt><a href="library/functions.html#index-2">exec</a>, <a href="library/parser.html#index-1">[1]</a>, <a href="library/stdtypes.html#index-53">[2]</a>, <a href="reference/simple_stmts.html#index-40">[3]</a>
  </dt>

        
  <dt><a href="c-api/number.html#index-5">float</a>, <a href="library/stdtypes.html#index-14">[1]</a>, <a href="reference/datamodel.html#index-87">[2]</a>
  </dt>

        
  <dt><a href="c-api/object.html#index-6">hash</a>, <a href="c-api/typeobj.html#index-2">[1]</a>, <a href="library/stdtypes.html#index-21">[2]</a>, <a href="reference/datamodel.html#index-74">[3]</a>
  </dt>

        
  <dt><a href="tutorial/stdlib.html#index-0">help</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-1">id</a>
  </dt>

        
  <dt><a href="c-api/number.html#index-4">int</a>, <a href="library/stdtypes.html#index-14">[1]</a>, <a href="reference/datamodel.html#index-87">[2]</a>
  </dt>

        
  <dt><a href="c-api/dict.html#index-2">len</a>, <a href="c-api/list.html#index-1">[1]</a>, <a href="c-api/mapping.html#index-0">[2]</a>, <a href="c-api/object.html#index-8">[3]</a>, <a href="c-api/sequence.html#index-0">[4]</a>, <a href="c-api/set.html#index-1">[5]</a>, <a href="library/stdtypes.html#index-20">[6]</a>, <a href="library/stdtypes.html#index-47">[7]</a>, <a href="reference/datamodel.html#index-15">[8]</a>, <a href="reference/datamodel.html#index-26">[9]</a>, <a href="reference/datamodel.html#index-29">[10]</a>, <a href="reference/datamodel.html#index-81">[11]</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-20">max</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-20">min</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-39">object</a>, <a href="reference/expressions.html#index-39">[1]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-52">open</a>, <a href="tutorial/inputoutput.html#index-0">[1]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-19">ord</a>
  </dt>

        
  <dt><a href="c-api/number.html#index-1">pow</a>, <a href="c-api/number.html#index-3">[1]</a>, <a href="reference/datamodel.html#index-83">[2]</a>, <a href="reference/datamodel.html#index-83">[3]</a>, <a href="reference/datamodel.html#index-84">[4]</a>, <a href="reference/datamodel.html#index-85">[5]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-72">print</a>
  </dt>

        
  <dt><a href="reference/compound_stmts.html#index-8">range</a>
  </dt>

        
  <dt><a href="c-api/object.html#index-0">repr</a>, <a href="c-api/typeobj.html#index-1">[1]</a>, <a href="extending/newtypes.html#index-3">[2]</a>, <a href="reference/simple_stmts.html#index-3">[3]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-87">round</a>
  </dt>

        
  <dt><a href="library/dis.html#index-0">slice</a>, <a href="reference/datamodel.html#index-63">[1]</a>
  </dt>

        
  <dt><a href="c-api/structures.html#index-1">staticmethod</a>
  </dt>

        
  <dt><a href="c-api/list.html#index-2">tuple</a>, <a href="c-api/sequence.html#index-1">[1]</a>
  </dt>

        
  <dt><a href="c-api/object.html#index-7">type</a>, <a href="library/stdtypes.html#index-54">[1]</a>, <a href="reference/datamodel.html#index-1">[2]</a>
  </dt>

      </dl></dd>
      
  <dt>
    built-in method
  </dt>

      <dd><dl>
        
  <dt><a href="reference/expressions.html#index-39">call</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-40">object</a>, <a href="reference/expressions.html#index-39">[1]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/sys.html#sys.builtin_module_names">builtin_module_names (in module sys)</a>
  </dt>

      
  <dt><a href="library/types.html#types.BuiltinFunctionType">BuiltinFunctionType (in module types)</a>
  </dt>

      
  <dt><a href="library/importlib.html#importlib.machinery.BuiltinImporter">BuiltinImporter (class in importlib.machinery)</a>
  </dt>

      
  <dt><a href="library/types.html#types.BuiltinMethodType">BuiltinMethodType (in module types)</a>
  </dt>

      
  <dt>
    builtins
  </dt>

      <dd><dl>
        
  <dt><a href="c-api/init.html#index-0">module</a>, <a href="c-api/init.html#index-24">[1]</a>, <a href="c-api/intro.html#index-19">[2]</a>, <a href="reference/toplevel_components.html#index-2">[3]</a>, <a href="tutorial/modules.html#index-6">[4]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/builtins.html#module-builtins">builtins (module)</a>
  </dt>

      
  <dt><a href="library/tkinter.tix.html#tkinter.tix.ButtonBox">ButtonBox (class in tkinter.tix)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.bye">bye() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/ctypes.html#ctypes.byref">byref() (in module ctypes)</a>
  </dt>

      
  <dt><a href="reference/datamodel.html#index-21">byte</a>
  </dt>

      
  <dt>
    byte-code
  </dt>

      <dd><dl>
        
  <dt><a href="library/imp.html#index-1">file</a>, <a href="library/py_compile.html#index-0">[1]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="distutils/apiref.html#distutils.util.byte_compile">byte_compile() (in module distutils.util)</a>
  </dt>

      
  <dt><a href="reference/datamodel.html#index-24">bytearray</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/stdtypes.html#index-42">formatting</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-42">interpolation</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-40">methods</a>
  </dt>

        
  <dt><a href="c-api/bytearray.html#index-0">object</a>, <a href="library/stdtypes.html#index-22">[1]</a>, <a href="library/stdtypes.html#index-37">[2]</a>, <a href="library/stdtypes.html#index-39">[3]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/functions.html#bytearray">bytearray (built-in class)</a>
  </dt>

      
  <dt><a href="reference/datamodel.html#index-54">bytecode</a>, <a href="glossary.html#term-bytecode"><strong>[1]</strong></a>
  </dt>

      
  <dt><a href="library/dis.html#dis.Bytecode">Bytecode (class in dis)</a>
  </dt>

      
  <dt><a href="library/dis.html#dis.Bytecode.codeobj">Bytecode.codeobj (in module dis)</a>
  </dt>

      
  <dt><a href="library/dis.html#dis.Bytecode.first_line">Bytecode.first_line (in module dis)</a>
  </dt>

      
  <dt><a href="library/importlib.html#importlib.machinery.BYTECODE_SUFFIXES">BYTECODE_SUFFIXES (in module importlib.machinery)</a>
  </dt>

      
  <dt><a href="library/sys.html#sys.byteorder">byteorder (in module sys)</a>
  </dt>

      
  <dt><a href="reference/datamodel.html#index-21">bytes</a>
  </dt>

      <dd><dl>
        
  <dt><a href="c-api/object.html#index-3">built-in function</a>, <a href="reference/datamodel.html#index-71">[1]</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-42">formatting</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-42">interpolation</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-40">methods</a>
  </dt>

        
  <dt><a href="c-api/bytes.html#index-0">object</a>, <a href="library/stdtypes.html#index-37">[1]</a>, <a href="library/stdtypes.html#index-38">[2]</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-30">str (built-in class)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/functions.html#bytes">bytes (built-in class)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/uuid.html#uuid.UUID.bytes">(uuid.UUID attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="reference/lexical_analysis.html#index-15">bytes literal</a>
  </dt>

      
  <dt><a href="glossary.html#term-bytes-like-object"><strong>bytes-like object</strong></a>
  </dt>

      
  <dt><a href="library/uuid.html#uuid.UUID.bytes_le">bytes_le (uuid.UUID attribute)</a>
  </dt>

      
  <dt><a href="library/email.parser.html#email.parser.BytesFeedParser">BytesFeedParser (class in email.parser)</a>
  </dt>

      
  <dt><a href="library/email.generator.html#email.generator.BytesGenerator">BytesGenerator (class in email.generator)</a>
  </dt>

      
  <dt><a href="library/io.html#io.BytesIO">BytesIO (class in io)</a>
  </dt>

      
  <dt><a href="library/email.parser.html#email.parser.BytesParser">BytesParser (class in email.parser)</a>
  </dt>

      
  <dt><a href="library/typing.html#typing.ByteString">ByteString (class in typing)</a>
  </dt>

      
  <dt><a href="library/array.html#array.array.byteswap">byteswap() (array.array method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/audioop.html#audioop.byteswap">(in module audioop)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/exceptions.html#BytesWarning">BytesWarning</a>
  </dt>

      
  <dt><a href="library/bz2.html#module-bz2">bz2 (module)</a>
  </dt>

      
  <dt><a href="library/bz2.html#bz2.BZ2Compressor">BZ2Compressor (class in bz2)</a>
  </dt>

      
  <dt><a href="library/bz2.html#bz2.BZ2Decompressor">BZ2Decompressor (class in bz2)</a>
  </dt>

      
  <dt><a href="library/bz2.html#bz2.BZ2File">BZ2File (class in bz2)</a>
  </dt>

  </dl></td>
</tr></table>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
   <h4>Index</h4>
   <p><a href="genindex-Symbols.html"><strong>Symbols</strong></a>
     | <a href="genindex-_.html"><strong>_</strong></a>
     | <a href="genindex-A.html"><strong>A</strong></a>
     | <a href="#"><strong>B</strong></a>
     | <a href="genindex-C.html"><strong>C</strong></a>
     | <a href="genindex-D.html"><strong>D</strong></a>
     | <a href="genindex-E.html"><strong>E</strong></a>
     | <a href="genindex-F.html"><strong>F</strong></a>
     | <a href="genindex-G.html"><strong>G</strong></a>
     | <a href="genindex-H.html"><strong>H</strong></a>
     | <a href="genindex-I.html"><strong>I</strong></a>
     | <a href="genindex-J.html"><strong>J</strong></a>
     | <a href="genindex-K.html"><strong>K</strong></a>
     | <a href="genindex-L.html"><strong>L</strong></a>
     | <a href="genindex-M.html"><strong>M</strong></a>
     | <a href="genindex-N.html"><strong>N</strong></a>
     | <a href="genindex-O.html"><strong>O</strong></a>
     | <a href="genindex-P.html"><strong>P</strong></a>
     | <a href="genindex-Q.html"><strong>Q</strong></a>
     | <a href="genindex-R.html"><strong>R</strong></a>
     | <a href="genindex-S.html"><strong>S</strong></a>
     | <a href="genindex-T.html"><strong>T</strong></a>
     | <a href="genindex-U.html"><strong>U</strong></a>
     | <a href="genindex-V.html"><strong>V</strong></a>
     | <a href="genindex-W.html"><strong>W</strong></a>
     | <a href="genindex-X.html"><strong>X</strong></a>
     | <a href="genindex-Y.html"><strong>Y</strong></a>
     | <a href="genindex-Z.html"><strong>Z</strong></a>
     </p>

   <p><a href="genindex-all.html"><strong>Full index on one page</strong></a></p>
   


<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 19, 2016.
    <a href="bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>